import { SpreadsheetChartAdapterBase } from "igniteui-webcomponents-spreadsheet";
import { Spreadsheet } from "igniteui-webcomponents-spreadsheet";
import { ChartType } from "igniteui-webcomponents-excel";
import { List$1 } from "igniteui-webcomponents-core";
import { SpreadsheetChartElementInfo } from "igniteui-webcomponents-spreadsheet";
import { WorksheetChart } from "igniteui-webcomponents-excel";
import { Type } from "igniteui-webcomponents-core";
import { SpreadsheetChartAdapter_ScatterSeriesDataItem } from "./SpreadsheetChartAdapter_ScatterSeriesDataItem";
import { SpreadsheetChartAdapter_SeriesDataItem } from "./SpreadsheetChartAdapter_SeriesDataItem";
/**
 * Creates and initializes chart elements for the spreadsheet based on a [[WorksheetChart]] instance.
 */
export declare class SpreadsheetChartAdapter extends SpreadsheetChartAdapterBase {
    static $t: Type;
    private _d;
    /**
     * @hidden
     */
    _e: List$1<ChartType>;
    /**
     * @hidden
     */
    static readonly _x: string;
    /**
     * @hidden
     */
    static readonly _z: string;
    /**
     * @hidden
     */
    static readonly _y: string;
    /**
     * @hidden
     */
    static readonly _u: string;
    /**
     * @hidden
     */
    static readonly _t: string;
    /**
     * @hidden
     */
    static readonly _ab: string;
    /**
     * @hidden
     */
    static readonly _w: string;
    /**
     * @hidden
     */
    static readonly _ac: string;
    /**
     * @hidden
     */
    static readonly _v: string;
    /**
     * @hidden
     */
    static readonly _q: string;
    /**
     * @hidden
     */
    static readonly _g: string;
    /**
     * @hidden
     */
    static readonly _aa: string;
    /**
     * @hidden
     */
    static readonly _r: string;
    /**
     * @hidden
     */
    static readonly _f: string;
    /**
     * @hidden
     */
    static readonly _ak: string;
    /**
     * @hidden
     */
    static readonly _ai: string;
    /**
     * @hidden
     */
    static readonly _aj: string;
    /**
     * @hidden
     */
    static readonly _ae: string;
    /**
     * @hidden
     */
    static readonly _af: string;
    /**
     * @hidden
     */
    static readonly _ad: string;
    /**
     * @hidden
     */
    static readonly _ag: string;
    /**
     * @hidden
     */
    static readonly _ah: string;
    /**
     * @hidden
     */
    static readonly _m: string;
    /**
     * @hidden
     */
    static readonly _n: string;
    /**
     * @hidden
     */
    static readonly _o: string;
    /**
     * @hidden
     */
    static readonly _p: string;
    /**
     * @hidden
     */
    static readonly _j: string;
    /**
     * @hidden
     */
    static readonly _l: string;
    /**
     * @hidden
     */
    static readonly _k: string;
    /**
     * @hidden
     */
    static readonly _h: string;
    /**
     * @hidden
     */
    static readonly _i: string;
    constructor();
    /**
     * @hidden
     */
    _a(a: WorksheetChart, b: Spreadsheet): SpreadsheetChartElementInfo;
    /**
     * @hidden
     */
    _b(a: WorksheetChart): boolean;
    /**
     * @hidden
     */
    _c: Spreadsheet;
    /**
     * @hidden
     */
    _s(a: string, ...b: any[]): string;
}
/**
 * @hidden
 */
export declare class SpreadsheetChartAdapter_SpreadsheetChartElementInfoPrivate extends SpreadsheetChartElementInfo {
    static $t: Type;
    private ae;
    private a8;
    private ai;
    private bb;
    private am;
    private k;
    private l;
    private m;
    private aj;
    private ak;
    private a1;
    private ay;
    private a0;
    private ax;
    private a2;
    private az;
    private a3;
    private bd;
    private bc;
    private af;
    private al;
    private aw;
    private a7;
    private ad;
    private a9;
    private ba;
    private an;
    constructor(a: SpreadsheetChartAdapter, b: WorksheetChart, c: (chart: WorksheetChart, oldUI: any) => any);
    h(): void;
    i(): void;
    e(a: WorksheetChart, b: boolean, c: boolean): boolean;
    private get ag();
    private ac;
    private get a4();
    private get aq();
    private get ar();
    private get at();
    private get as();
    private ah;
    private be;
    private bg;
    private bf;
    private bh;
    private ao;
    private bj;
    private bk;
    private bi;
    private bm;
    private bl;
    private bn;
    private bo;
    private n;
    private o;
    private bp;
    private p;
    private q;
    private r;
    private j;
    private s;
    private t;
    private v;
    private y;
    private x;
    private w;
    private ap;
    a5(): List$1<SpreadsheetChartAdapter_ScatterSeriesDataItem>;
    a6(): List$1<SpreadsheetChartAdapter_SeriesDataItem>;
    private bq;
    private br;
    bs(): void;
    private bt;
    private bu;
    private bv;
    private bw;
    private bx;
    private by;
    private bz;
    private b0;
    private b1;
    private z;
    private b2;
    private u;
    private aa;
    private ab;
    private b3;
    private au;
    private b4;
    private b5;
    private b6;
    private av;
    private b7;
    private b8;
}
